fr.cnam.ihm

## Class AdaptaterControlesCanvasIHM

- java.lang.Object
- - fr.cnam.ihm.AdaptaterControlesCanvasIHM

- All Implemented Interfaces:
    ControlesCanvasIHM

      public class AdaptaterControlesCanvasIHM
      extends java.lang.Object
      implements ControlesCanvasIHM

  Adaptater d'implémentation par defaut de l'interface utilisée par le constructeur de CanvasHM permettant de traiter les clics dans la grille et dans le canvas

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AdaptaterControlesCanvasIHM()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `pointerCanvas(int x, int y, CanvasIHM ihm)` Methode appellee quand la grille n'est pas affichee et quand on clique dans le canvas.
    `void` | `pointerCaseGrille(int xCase, int yCase, CanvasIHM ihm)` Methode appellee quand la grille est affichee et quand on clique dans une des cases de la grille

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AdaptaterControlesCanvasIHM

          public AdaptaterControlesCanvasIHM()

  - ### Method Detail

    - #### pointerCaseGrille

          public void pointerCaseGrille(int xCase,
                                        int yCase,
                                        CanvasIHM ihm)

      Methode appellee quand la grille est affichee et quand on clique dans une des cases de la grille
      Specified by:
        `pointerCaseGrille` in interface `ControlesCanvasIHM`
      Parameters:
        `xCase` - coordonnee en X de la case dans la grille
        `yCase` - coordonnee en Y de la case dans la grille
        `ihm` - l'instance de la CanvasIHM. Permet d'utiliser les méthodes publiques de CanvasIHM dans l'action.

    - #### pointerCanvas

          public void pointerCanvas(int x,
                                    int y,
                                    CanvasIHM ihm)

      Methode appellee quand la grille n'est pas affichee et quand on clique dans le canvas.
      Specified by:
        `pointerCanvas` in interface `ControlesCanvasIHM`
      Parameters:
        `x` - corrdonee en pixel X de la position de la souris
        `y` - corrdonee en pixel Y de la position de la souris
        `ihm` - l'instance de la CanvasIHM. Permet d'utiliser les méthodes publiques de CanvasIHM dans l'action.